/**
 * Funkcje i zmienne najwyższego poziomu
 */

var globalNumber = 100;
final globalFinalNumber = 1000;

void printHello() {
  print("""Dart from global scope.
    This is a top-level number: $globalNumber
    This is a top-level final number: $globalFinalNumber
    """);
}

main() {
  // najbardziej znana funkcja najwyższego poziomu Darta
  printHello(); // wyświetla wartość domyślną

  globalNumber = 0;
  // globalFinalNumber = 0; // nie kompiluje się, ponieważ jest to zmienna końcowa

  printHello(); // wyświetla nową wartość
}
